Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --globoff \ --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}' \ --header 'Authorization: Basic <encoded-value>'
import requests url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}" headers = {"Authorization": "Basic <encoded-value>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}}; fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Basic <encoded-value>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Basic <encoded-value>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}") .header("Authorization", "Basic <encoded-value>") .asString();
require 'uri' require 'net/http' url = URI("https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment/v1/transaction/{transactionId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Basic <encoded-value>' response = http.request(request) puts response.read_body
{ "id": "678543", "instalmentOriginalId": "678544", "accountId": "677654434532", "creationDate": "2023-11-07T05:31:56Z", "firstPayment": "2023-12-25", "lastPayment": "2023-12-25", "currency": "NOK", "effectiveRate": 10.46, "totalAmount": 1000, "principalAmount": 1000, "feeAmount": 10, "interest": { "interestRate": 9.9, "effectiveRate": 10.46, "interestAmount": 90, "interestAmountBilled": 10 }, "paidAmount": 20, "interestPaidAmount": 20.57, "principalPaidAmount": 500, "dueAmount": 100, "overdueAmount": 200, "writtenOffAmount": 1000, "reversed": 1000, "fullRepaymentAmount": 900, "status": "INACTIVE", "lastUpdated": "2023-11-07T05:31:56Z", "transactionId": 8767653, "description": "Instalment for product #4567", "planOptions": { "type": "BUY_NOW_PAY_LATER", "shift": 2 } }
{ "code": "<string>", "message": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "errorCode": "INSTALMENT_API_ERROR", "errorType": "STATIC_VALIDATION_ERROR", "errorReason": "<string>", "timestamp": "2023-11-07T05:31:56Z" }
Basic authentication is used to authenticate towards Enfuce API. It is described in more detail in RFC 7617.
The transaction Id
8767653
The audit user to log the request
Instalment
Instalment id
"678543"
The id which links the original instalment and the new instalment resulted after revise process
"678544"
255
"677654434532"
The creation date
The day of the first payment
The day of the last payment
The currency of the instalment
"NOK"
The effective rate. Please use interest.effectiveRate instead
interest.effectiveRate
10.46
The total amount of the instalment plan
1000
The principal amount
The fee amount. Please use interest.interestAmount instead
interest.interestAmount
10
Show child attributes
The paid amount.
20
The interest paid amount
20.57
The principal paid amount
500
The due amount of the instalment plan
100
The overdue amount of the instalment plan
200
The written-off amount. Please use reversed instead
reversed
The reversed amount
The full repayment amount of the instalment plan
900
The status of the instalment plan
INACTIVE
WAITING
OPEN
PAID
PAID_PARTIALLY
OVERDUE
REVISED
CLOSED
The last updated date
Optional text describing the instalment request
"Instalment for product #4567"
The paymentPlan.type field should be BUY_NOW_PAY_LATER.
paymentPlan.type
Was this page helpful?